Package org.eclipse.net4j.util.io

# Class ExtendedDataInput.Stream

java.lang.Object
java.io.InputStream
org.eclipse.net4j.util.io.ExtendedDataInput.Stream

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`

Enclosing interface:
  ExtendedDataInput

public static class ExtendedDataInput.Stream extends InputStream

Since:
  2.0
Author:
  Eike Stepper

## Constructor Summary

Constructors
Constructor
Description
`Stream(ExtendedDataInput delegate)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`ExtendedDataInput`
`getDelegate()`
`int`
`read()`

### Methods inherited from class java.io.InputStream

`available, mark, markSupported, nullInputStream, read, read, readAllBytes, readNBytes, readNBytes, reset, skip, skipNBytes, transferTo`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Stream

public Stream(ExtendedDataInput delegate)

## Method Details

### getDelegate

public ExtendedDataInput getDelegate()

### read

public int read() throws IOException

Specified by:
  `read` in class `InputStream`
Throws:
  `IOException`

### close

public void close() throws IOException

Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in interface `Closeable`
Overrides:
  `close` in class `InputStream`
Throws:
  `IOException`